// Pentagon 1024SL v2.2 //

module top(

 input x_f14,
 input x_mreq,
 input x_iorq,
 input x_rfsh,
 input x_rd,
 input x_port1,
 input x_port2,
 input x_a14,
 input x_a15,
 input [7:0] x_ram,
 input x_dos,

 input [7:0] x_d,

 input [15:0] x_av,
 input [3:0] x_mem,
 input x_y0,
 input x_y1,

 input x_res,

 output x_clk,
 output x_two,
 output x_sync,
 output x_r,
 output x_g,
 output x_b,
 output x_bright,
 output x_cas,
 output x_ras,
 output x_we,
 output x_hl,
 output x_wait,
 output x_busrq,
 output x_int,
 output x_csos

);

//--Dummy----------------------------------------------------------------------

 assign x_busrq = 1'b0;
 assign x_cas = 1'b1;
 assign x_ras = 1'b1;
 assign x_we = 1'b1;
 assign x_hl = 1'b1;
 assign x_wait = 1'b1;
 assign x_int = 1'b1;
 assign x_csos = 1'b1;

//-----------------------------------------------------------------------------

 wire snd, dummy_clk;

 amus demo(.in_clk(x_f14),
           .out_snd(snd),
           .out_clk(dummy_clk)
          );

 assign x_g      = snd;
 assign x_r      = snd;
 assign x_b      = snd;
 assign x_bright = 1'b1;
 assign x_sync   = snd;
 assign x_clk = dummy_clk;
 assign x_two = dummy_clk;

//-----------------------------------------------------------------------------

endmodule
